QGIS Application - Feature request #3748
Centralized way of sharing styles
2011-04-16 09:46 AM - Saber Razmjooei

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 13807
Description

It will be great to have a central repository of styles and SVGs. There could be a python-installer-like interface to download symbols and
styles directly from the repository.

History

#1 - 2011-04-16 10:31 AM - Paolo Cavallini
I think this implies several components (so the ticket could be split):
- add .qgis/symbols to the standard path where to look for symbols
- add a Symbol installer, similar to Plugin installer, to download sets of symbols to the above dir

- add one or more central repo, parallel to the plugin repo, where users can upload styles.

Additionally, care should we taken because having many symbols will make opening the Property window very slow; a solution should be found to this

issue.

Also custom XML styles for symbology-ng can be added to this, but this would require to split the monolithic symbology-ng-style.xml into chunks that can
be up- and downloaded.

Overall, not a great effort, and will make life easier for many users.

#2 - 2011-04-16 12:09 PM - Saber Razmjooei

| think your suggestions are pretty much what | meant, But | will leave the ticket open to see what others think.

If no comments, close it and open new ones.

#3 - 2011-12-16 12:45 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Veersion 1.7.4

#4 - 2012-04-15 10:11 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:35 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2012-12-31 01:24 AM - Paolo Cavallini
- Assignee changed from Giuseppe Sucameli to anonymous -

#7 - 2014-05-05 12:08 AM - Paolo Cavallini
- Status changed from Open to Closed
- Resolution set to duplicate
- Pull Request or Patch supplied set to No

Duplicate of #1063

#8 - 2014-06-29 10:13 AM - Jiirgen Fischer
- Assignee deleted (anonymous -)
